# https://artifacthub.io/packages/helm/gitlab/gitlab-agent
apiVersion: helm.toolkit.fluxcd.io/v2beta1
kind: HelmRelease
metadata:
  name: gitlab-agent
spec:
  releaseName: gitlab-agent
  chart:
    spec:
      chart: gitlab-agent
      version: "1.0.0"
      sourceRef:
        kind: HelmRepository
        name: gitlab
        namespace: flux-system
  interval: 30m
  install:
    remediation:
      retries: 3
  values:
    config:
      kasAddress: wss://kas.gitlab.com
      secretName: gitlab-agent-config

